"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateCacheSubnetGroup_1 = require("../model/operations/CreateCacheSubnetGroup");
var CreateCacheSubnetGroupCommand = /** @class */ (function () {
    function CreateCacheSubnetGroupCommand(input) {
        this.input = input;
        this.model = CreateCacheSubnetGroup_1.CreateCacheSubnetGroup;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateCacheSubnetGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateCacheSubnetGroupCommand;
}());
exports.CreateCacheSubnetGroupCommand = CreateCacheSubnetGroupCommand;
//# sourceMappingURL=CreateCacheSubnetGroupCommand.js.map