"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeCacheParameters_1 = require("../model/operations/DescribeCacheParameters");
var DescribeCacheParametersCommand = /** @class */ (function () {
    function DescribeCacheParametersCommand(input) {
        this.input = input;
        this.model = DescribeCacheParameters_1.DescribeCacheParameters;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeCacheParametersCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeCacheParametersCommand;
}());
exports.DescribeCacheParametersCommand = DescribeCacheParametersCommand;
//# sourceMappingURL=DescribeCacheParametersCommand.js.map