"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeReservedCacheNodes_1 = require("../model/operations/DescribeReservedCacheNodes");
var DescribeReservedCacheNodesCommand = /** @class */ (function () {
    function DescribeReservedCacheNodesCommand(input) {
        this.input = input;
        this.model = DescribeReservedCacheNodes_1.DescribeReservedCacheNodes;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeReservedCacheNodesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeReservedCacheNodesCommand;
}());
exports.DescribeReservedCacheNodesCommand = DescribeReservedCacheNodesCommand;
//# sourceMappingURL=DescribeReservedCacheNodesCommand.js.map