"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ResetCacheParameterGroup_1 = require("../model/operations/ResetCacheParameterGroup");
var ResetCacheParameterGroupCommand = /** @class */ (function () {
    function ResetCacheParameterGroupCommand(input) {
        this.input = input;
        this.model = ResetCacheParameterGroup_1.ResetCacheParameterGroup;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ResetCacheParameterGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ResetCacheParameterGroupCommand;
}());
exports.ResetCacheParameterGroupCommand = ResetCacheParameterGroupCommand;
//# sourceMappingURL=ResetCacheParameterGroupCommand.js.map