"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var AddTagsToResourceInput_1 = require("../shapes/AddTagsToResourceInput");
var AddTagsToResourceOutput_1 = require("../shapes/AddTagsToResourceOutput");
var CacheClusterNotFoundFault_1 = require("../shapes/CacheClusterNotFoundFault");
var SnapshotNotFoundFault_1 = require("../shapes/SnapshotNotFoundFault");
var TagQuotaPerResourceExceeded_1 = require("../shapes/TagQuotaPerResourceExceeded");
var InvalidARNFault_1 = require("../shapes/InvalidARNFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.AddTagsToResource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "AddTagsToResource",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: AddTagsToResourceInput_1.AddTagsToResourceInput
    },
    output: {
        shape: AddTagsToResourceOutput_1.AddTagsToResourceOutput,
        resultWrapper: "AddTagsToResourceResult"
    },
    errors: [
        {
            shape: CacheClusterNotFoundFault_1.CacheClusterNotFoundFault
        },
        {
            shape: SnapshotNotFoundFault_1.SnapshotNotFoundFault
        },
        {
            shape: TagQuotaPerResourceExceeded_1.TagQuotaPerResourceExceeded
        },
        {
            shape: InvalidARNFault_1.InvalidARNFault
        }
    ]
};
//# sourceMappingURL=AddTagsToResource.js.map