"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CopySnapshotInput_1 = require("../shapes/CopySnapshotInput");
var CopySnapshotOutput_1 = require("../shapes/CopySnapshotOutput");
var SnapshotAlreadyExistsFault_1 = require("../shapes/SnapshotAlreadyExistsFault");
var SnapshotNotFoundFault_1 = require("../shapes/SnapshotNotFoundFault");
var SnapshotQuotaExceededFault_1 = require("../shapes/SnapshotQuotaExceededFault");
var InvalidSnapshotStateFault_1 = require("../shapes/InvalidSnapshotStateFault");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var InvalidParameterCombinationException_1 = require("../shapes/InvalidParameterCombinationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CopySnapshot = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CopySnapshot",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CopySnapshotInput_1.CopySnapshotInput
    },
    output: {
        shape: CopySnapshotOutput_1.CopySnapshotOutput,
        resultWrapper: "CopySnapshotResult"
    },
    errors: [
        {
            shape: SnapshotAlreadyExistsFault_1.SnapshotAlreadyExistsFault
        },
        {
            shape: SnapshotNotFoundFault_1.SnapshotNotFoundFault
        },
        {
            shape: SnapshotQuotaExceededFault_1.SnapshotQuotaExceededFault
        },
        {
            shape: InvalidSnapshotStateFault_1.InvalidSnapshotStateFault
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: InvalidParameterCombinationException_1.InvalidParameterCombinationException
        }
    ]
};
//# sourceMappingURL=CopySnapshot.js.map