"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ElastiCacheClient_1 = require("../../ElastiCacheClient");
var DescribeEventsCommand_1 = require("../../commands/DescribeEventsCommand");
var DescribeCacheClustersCommand_1 = require("../../commands/DescribeCacheClustersCommand");
describe("@aws-sdk/client-elasticache-browser Smoke Tests:", function () {
    defaultRegion = defaultRegion || "us-west-2";
    it("DescribeEvents should succeed when given correct input", function (done) {
        var client = new ElastiCacheClient_1.ElastiCacheClient({
            region: defaultRegion,
            credentials: credentials
        });
        var describeEvents = new DescribeEventsCommand_1.DescribeEventsCommand({});
        client
            .send(describeEvents)
            .then(function (result) {
            expect(typeof result).toBe("object");
            done();
        })
            .catch(function (err) {
            expect(err).toBeUndefined();
            done();
        });
    });
    it("DescribeCacheClusters should fail when given bad input", function (done) {
        var client = new ElastiCacheClient_1.ElastiCacheClient({
            region: defaultRegion,
            credentials: credentials
        });
        var describeCacheClusters = new DescribeCacheClustersCommand_1.DescribeCacheClustersCommand({
            CacheClusterId: "fake_cluster"
        });
        client
            .send(describeCacheClusters)
            .then(function (result) {
            expect(result).toBeUndefined();
            done();
        })
            .catch(function (err) {
            expect(err).toBeDefined();
            done();
        });
    });
});
//# sourceMappingURL=index.spec.js.map